## ros-one-sensor-filters 1.1.1-1jammy.20251215.2222

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1jammy.20251215.2222) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 22:22:42 +0000

ros-one-sensor-filters (1.1.1-0jammy) jammy; urgency=high

  * Reformatted, added catkin lint.
  * Simplified the license statements.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 07 Jun 2023 00:00:00 -0000

ros-one-sensor-filters (1.1.0-0jammy) jammy; urgency=high

  * Using image_transport and point_cloud_transport where applicable.
  * Noetic compatibility.
  * Improved README and added example files.
    Closes #1 <https://github.com/ctu-vras/sensor_filters/issues/1>.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 29 May 2023 00:00:00 -0000

ros-one-sensor-filters (1.0.5-0jammy) jammy; urgency=high

  * Fixed typo leading to segfaults when using ChangeHeader filter.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 30 Jul 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.4-0jammy) jammy; urgency=high

  * Added ChangeHeader filter
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Jun 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.3-0jammy) jammy; urgency=high

  * Fixed data types of nodes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 20 May 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.2-0jammy) jammy; urgency=high

  * Fix for Noetic.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 20 May 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.1-0jammy) jammy; urgency=high

  * Initial version.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 19 May 2021 00:00:00 -0000

## ros-one-sensor-filters 1.1.1-1jammy.20260119.2123

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1jammy.20260119.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:23:41 +0000

## ros-one-sensor-filters 1.1.1-1jammy.20260128.2141

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1jammy.20260128.2141) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:41:55 +0000

## ros-one-sensor-filters 1.1.1-1jammy.20260222.0039

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Czech Technical University in Prague

cmake_minimum_required(VERSION 3.10.2)
project(sensor_filters)

set(CMAKE_CXX_STANDARD 17)

find_package(catkin REQUIRED COMPONENTS
  filters
  image_transport
  nodelet
  point_cloud_transport
  roscpp
  sensor_msgs
)

#catkin_lint: ignore missing_export_lib
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS filters nodelet roscpp sensor_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

set(types
  CompressedImage
  Image
  Imu
  Joy
  LaserScan
  MultiEchoLaserScan
  MagneticField
  NavSatFix
  PointCloud
  PointCloud2
  Range
  RelativeHumidity
  Temperature
)

foreach(type IN LISTS types)
  string(TOLOWER "${type}" type_lower)

  set(nodelet_name "${type_lower}_filter_chain_nodelet")
  set(node_name "${type_lower}_filter_chain")

  add_library(${nodelet_name} src/${type}FilterChainNodelet.cc)
  add_dependencies(${nodelet_name} ${catkin_EXPORTED_TARGETS})
  target_link_libraries(${nodelet_name} ${catkin_LIBRARIES})

  add_executable(${node_name} src/${type}FilterChainNode.cc)
  add_dependencies(${node_name} ${catkin_EXPORTED_TARGETS})
  target_link_libraries(${node_name} ${catkin_LIBRARIES})

  install(TARGETS ${node_name}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

  install(TARGETS ${nodelet_name}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  )
endforeach()

# Additional sources for the targets that use custom transport
target_sources(image_filter_chain_nodelet PRIVATE src/ImageFilterChainBase.cc)
target_sources(image_filter_chain PRIVATE src/ImageFilterChainBase.cc)
target_sources(pointcloud2_filter_chain_nodelet PRIVATE src/PointCloud2FilterChainBase.cc)
target_sources(pointcloud2_filter_chain PRIVATE src/PointCloud2FilterChainBase.cc)

set(filters
  ChangeHeaderFilter
)

foreach(filter IN LISTS filters)
  add_library(${filter} src/filters/${filter}.cc)
  add_dependencies(${filter} ${catkin_EXPORTED_TARGETS})
  target_link_libraries(${filter} ${catkin_LIBRARIES})
  install(TARGETS ${filter}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  )
  install(FILES
    ${filter}.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )
endforeach()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(FILES
  nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)

  # catkin_lint - checks validity of package.xml and CMakeLists.txt
  # ROS buildfarm calls this without any environment and with empty rosdep cache,
  # so we have problems reading the list of packages from env
  # see https://github.com/ros-infrastructure/ros_buildfarm/issues/923
  if(DEFINED ENV{ROS_HOME})
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{ROS_HOME}")
  else()
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{HOME}/.ros")
  endif()
  #catkin_lint: ignore_once env_var
  if(DEFINED ENV{ROS_ROOT} AND EXISTS "${ROS_HOME}/rosdep/sources.cache")
    roslint_custom(catkin_lint "-W2" .)
  endif()

  # Roslint C++ - checks formatting and some other rules for C++ files

  file(GLOB_RECURSE ROSLINT_INCLUDE include/*.h include/*.hpp)
  file(GLOB_RECURSE ROSLINT_SRC src/*.cc src/filters/*.cc src/filters/*.hh examples/*.cpp)
  #file(GLOB_RECURSE ROSLINT_TEST test/*.cpp)

  set(ROSLINT_CPP_OPTS "--extensions=h,hpp,hh,c,cpp,cc;--linelength=120;--filter=\
    -build/header_guard,-readability/namespace,-whitespace/braces,-runtime/references,\
    -build/c++11,-readability/nolint,-readability/todo,-legal/copyright,-build/namespaces")
  roslint_cpp(${ROSLINT_INCLUDE} ${ROSLINT_SRC})
  
  roslint_add_test()
endif()

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1jammy.20260222.0039) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 22 Feb 2026 00:39:07 +0000

=== debian/control ===
Source: ros-one-sensor-filters
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-filters, ros-one-image-transport, ros-one-nodelet, ros-one-point-cloud-transport, ros-one-roscpp, ros-one-sensor-msgs
Homepage: https://github.com/ctu-vras/sensor_filters
Standards-Version: 3.9.2

Package: ros-one-sensor-filters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-filters, ros-one-image-transport, ros-one-nodelet, ros-one-point-cloud-transport, ros-one-roscpp, ros-one-sensor-msgs
Description: Simple sensor filter chain nodes and nodelets

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-sensor-filters//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-sensor-filters 1.1.1-1noble.20251023.1516

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1noble.20251023.1516) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 15:16:45 +0000

ros-one-sensor-filters (1.1.1-0noble) noble; urgency=high

  * Reformatted, added catkin lint.
  * Simplified the license statements.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 07 Jun 2023 00:00:00 -0000

ros-one-sensor-filters (1.1.0-0noble) noble; urgency=high

  * Using image_transport and point_cloud_transport where applicable.
  * Noetic compatibility.
  * Improved README and added example files.
    Closes #1 <https://github.com/ctu-vras/sensor_filters/issues/1>.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 29 May 2023 00:00:00 -0000

ros-one-sensor-filters (1.0.5-0noble) noble; urgency=high

  * Fixed typo leading to segfaults when using ChangeHeader filter.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 30 Jul 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.4-0noble) noble; urgency=high

  * Added ChangeHeader filter
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Jun 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.3-0noble) noble; urgency=high

  * Fixed data types of nodes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 20 May 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.2-0noble) noble; urgency=high

  * Fix for Noetic.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 20 May 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.1-0noble) noble; urgency=high

  * Initial version.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 19 May 2021 00:00:00 -0000

## ros-one-sensor-filters 1.1.1-1noble.20251215.2218

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1noble.20251215.2218) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 22:18:43 +0000

## ros-one-sensor-filters 1.1.1-1noble.20260119.2123

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1noble.20260119.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:23:50 +0000

## ros-one-sensor-filters 1.1.1-1noble.20260128.2150

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1noble.20260128.2150) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:50:53 +0000

## ros-one-sensor-filters 1.1.1-1noble.20260222.0153

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1noble.20260222.0153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 22 Feb 2026 01:53:26 +0000
